- Aldebaran documentation |
- C++ Libraries |
- index

libalvision 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Friends Macros Pages
Public Member Functions | List of all members
AL::ALVideo Class Reference

`#include <alvideo.h>`

## Public Member Functions
| ALVideo ()
| ~ALVideo ()
bool | recordVideo (const std::string pFilePath, const unsigned int pUserSpaceSize, const std::vector< streamHeader > &pStreamHeaderVector)
bool | readVideo (const std::string pFilePath)
void | closeVideo ()
bool | goToFrame (const unsigned int pFrameNumber, const unsigned int pStreamNumber)
bool | getFrame (ALImage &pImage, const unsigned int pFrameNumber, const unsigned int pStreamNumber, const bool pCheckFormat=true)
bool | getNextFrame (ALImage &pImage, const bool pCheckFormat=true)
bool | getPrecedingFrame (ALImage &pImage, const bool pCheckFormat=true)
bool | write (char *ptrImageData, const int pSizeData, const long long pTimeStamp=0, const char pCameraId=0, const float pLeftAngle=0, const float pTopAngle=0, const float pRightAngle=0, const float pBottomAngle=0)
bool | write (int height, int width, char *imageData, const long long pTimeStamp, const char pCameraId, const float pLeftAngle, const float pTopAngle, const float pRightAngle, const float pBottomAngle)
const unsigned char * | getMagicNumber () const
unsigned int | getNumberOfFrames () const
unsigned int | getNumberOfStreams () const
unsigned int | getCurrentFrameNumber () const
unsigned int | getCurrentStreamNumber () const
bool | isOpenForReading () const
bool | isOpenForWriting () const
int | getStreamWidth (const unsigned int pStreamNumber) const
int | getStreamHeight (const unsigned int pStreamNumber) const
int | getStreamResolution (const unsigned int pStreamNumber) const
int | getStreamColorSpace (const unsigned int pStreamNumber) const
int | getStreamNbLayers (const unsigned int pStreamNumber) const
int | getStreamPixelDepth (const unsigned int pStreamNumber) const
int | getStreamSizePerImage (const unsigned int pStreamNumber) const

## Detailed Description

Definition at line 60 of file alvideo.h.

## Constructor & Destructor Documentation

AL::ALVideo::ALVideo | ( |  | ) |

AL::ALVideo::~ALVideo | ( |  | ) |

## Member Function Documentation

void AL::ALVideo::closeVideo | ( |  | ) |

unsigned int AL::ALVideo::getCurrentFrameNumber | ( |  | ) | const
| inline

Definition at line 84 of file alvideo.h.

unsigned int AL::ALVideo::getCurrentStreamNumber | ( |  | ) | const
| inline

Definition at line 85 of file alvideo.h.

bool AL::ALVideo::getFrame | ( | ALImage & | pImage,
|  | const unsigned int | pFrameNumber,
|  | const unsigned int | pStreamNumber,
|  | const bool | pCheckFormat = `true`
| ) |  |

const unsigned char* AL::ALVideo::getMagicNumber | ( |  | ) | const
| inline

Definition at line 81 of file alvideo.h.

bool AL::ALVideo::getNextFrame | ( | ALImage & | pImage,
|  | const bool | pCheckFormat = `true`
| ) |  |

unsigned int AL::ALVideo::getNumberOfFrames | ( |  | ) | const
| inline

Definition at line 82 of file alvideo.h.

unsigned int AL::ALVideo::getNumberOfStreams | ( |  | ) | const
| inline

Definition at line 83 of file alvideo.h.

bool AL::ALVideo::getPrecedingFrame | ( | ALImage & | pImage,
|  | const bool | pCheckFormat = `true`
| ) |  |

int AL::ALVideo::getStreamColorSpace | ( | const unsigned int | pStreamNumber | ) | const
| inline

Definition at line 92 of file alvideo.h.

int AL::ALVideo::getStreamHeight | ( | const unsigned int | pStreamNumber | ) | const
| inline

Definition at line 90 of file alvideo.h.

int AL::ALVideo::getStreamNbLayers | ( | const unsigned int | pStreamNumber | ) | const
| inline

Definition at line 93 of file alvideo.h.

int AL::ALVideo::getStreamPixelDepth | ( | const unsigned int | pStreamNumber | ) | const
| inline

Definition at line 94 of file alvideo.h.

int AL::ALVideo::getStreamResolution | ( | const unsigned int | pStreamNumber | ) | const
| inline

Definition at line 91 of file alvideo.h.

int AL::ALVideo::getStreamSizePerImage | ( | const unsigned int | pStreamNumber | ) | const
| inline

Definition at line 95 of file alvideo.h.

int AL::ALVideo::getStreamWidth | ( | const unsigned int | pStreamNumber | ) | const
| inline

Definition at line 89 of file alvideo.h.

bool AL::ALVideo::goToFrame | ( | const unsigned int | pFrameNumber,
|  | const unsigned int | pStreamNumber
| ) |  |

bool AL::ALVideo::isOpenForReading | ( |  | ) | const
| inline

Definition at line 86 of file alvideo.h.

bool AL::ALVideo::isOpenForWriting | ( |  | ) | const
| inline

Definition at line 87 of file alvideo.h.

bool AL::ALVideo::readVideo | ( | const std::string | pFilePath | ) |

bool AL::ALVideo::recordVideo | ( | const std::string | pFilePath,
|  | const unsigned int | pUserSpaceSize,
|  | const std::vector< streamHeader > & | pStreamHeaderVector
| ) |  |

bool AL::ALVideo::write | ( | char * | ptrImageData,
|  | const int | pSizeData,
|  | const long long | pTimeStamp = `0`,
|  | const char | pCameraId = `0`,
|  | const float | pLeftAngle = `0`,
|  | const float | pTopAngle = `0`,
|  | const float | pRightAngle = `0`,
|  | const float | pBottomAngle = `0`
| ) |  |

bool AL::ALVideo::write | ( | int | height,
|  | int | width,
|  | char * | imageData,
|  | const long long | pTimeStamp,
|  | const char | pCameraId,
|  | const float | pLeftAngle,
|  | const float | pTopAngle,
|  | const float | pRightAngle,
|  | const float | pBottomAngle
| ) |  |

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libnaoqi/libalvision/alvision/alvideo.h